Subject: Re: [PATCH v7 3/6] powerpc/perf: consolidate read_user_stack_32

From: Michal Suchánek <[email-masked]>
Date: Mon, 2 Sep 2019 10:26:53 +0200

On Mon, 02 Sep 2019 14:01:17 +1000
Michael Ellerman <[email-masked]> wrote:

> Michael Ellerman <[email-masked]> writes:
> > Michal Suchanek <[email-masked]> writes:  
> ...
> >> @@ -295,6 +279,12 @@ static inline int current_is_64bit(void)
> >>  }
> >>  
> >>  #else  /* CONFIG_PPC64 */
> >> +static int read_user_stack_slow(void __user *ptr, void *buf, int nb)
> >> +{
> >> +	return 0;
> >> +}
> >> +#endif /* CONFIG_PPC64 */  
> >
> > Ending the PPC64 else case here, and then restarting it below with an
> > ifndef means we end up with two parts of the file that define 32-bit
> > code, with a common chunk in the middle, which I dislike.
> >
> > I'd rather you add the empty read_user_stack_slow() in the existing
> > #else section and then move read_user_stack_32() below the whole ifdef
> > PPC64/else/endif section.
> >
> > Is there some reason that doesn't work?  
> 
> Gah, I missed that you split the whole file later in the series. Any
> reason you did it in two steps rather than moving patch 6 earlier in the
> series?

To make this patch readable.

Thanks

Michal